Subject: Re: where's the UNIX walker
From: [email-masked] (Mumit Khan)

15 Sep 1998 15:24:14 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: "K M" <[email-masked]>
Cc: [email-masked]

"K M" <[email-masked]> writes:
> I've downloaded and installed the latest( B19) GNU tools and
> things seem to be fine; however, when I try to compile a UNIX
> program that calls ftw(),gcc can't find ftw.h. I can't locate
> any refernce tp ftw in the distribution at all.
> Where is ftw or how can I get someting like this to compile?

Quite possibly because ftw is neither ANSI nor POSIX. You can always 
use opendir(), readdir() etc which are part of POSIX and essentially
get the same behaviour (you have to code the recursion yourself, but
that's quite trivial).

I understand that Unix95 spec does have some variant of ftw (nftw?), 
and if that's the case, then it may show up in newlib in the future.

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".